# LlamaLendSelfLiquidate

### Description

LlamaLendSelfLiquidate Closes the users position while he's in soft liquidation

### Action ID

`0xafcc4eb7`

### SDK Action

```ts
const llamaLendSelfLiquidateAction = new dfs.actions.llamalend.LlamaLendSelfLiquidateAction(
    controllerAddress,
    minDebtAssetExpected,
    from,
    to,
    debtAsset
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param controllerAddress Address of the llamalend market controller
    /// @param minDebtAssetExpected Minimum amount of debt asset as collateral for the user to have
    /// @param from Address from which to pull debt asset if needed
    /// @param to Address that will receive the debt asset and collateral asset
    struct Params {
        address controllerAddress;
        uint256 minDebtAssetExpected;
        address from;
        address to;
    }
```

### Return Value

```solidity
return bytes32(amountPulled);
```

### Events and Logs

```solidity
emit ActionEvent("LlamaLendSelfLiquidate", logData);
logger.logActionDirectEvent("LlamaLendSelfLiquidate", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/llamalend/llamalendselfliquidate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
